summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJason Zaman <perfinion@gentoo.org>2014-12-05 09:23:03 +0000
committerJason Zaman <perfinion@gentoo.org>2014-12-05 09:23:03 +0000
commitf4069fd4e7070bf6c1f7e29ea747be06d8577df4 (patch)
tree832466d9ae582a47bad1a8c1f4009c371c8058e9 /eclass/selinux-policy-2.eclass
parentenable parallel build, bug 530178 (diff)
downloadgentoo-2-f4069fd4e7070bf6c1f7e29ea747be06d8577df4.tar.gz
gentoo-2-f4069fd4e7070bf6c1f7e29ea747be06d8577df4.tar.bz2
gentoo-2-f4069fd4e7070bf6c1f7e29ea747be06d8577df4.zip
fix bug 530178, parallel build on >2.20140311-r7
Diffstat (limited to 'eclass/selinux-policy-2.eclass')
-rw-r--r--eclass/selinux-policy-2.eclass11
1 files changed, 8 insertions, 3 deletions
diff --git a/eclass/selinux-policy-2.eclass b/eclass/selinux-policy-2.eclass
index 4ef034e644e9..f309ab43306c 100644
--- a/eclass/selinux-policy-2.eclass
+++ b/eclass/selinux-policy-2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/selinux-policy-2.eclass,v 1.28 2014/11/14 19:46:05 swift Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/selinux-policy-2.eclass,v 1.29 2014/12/05 09:23:03 perfinion Exp $
# Eclass for installing SELinux policy, and optionally
# reloading the reference-policy based modules.
@@ -229,11 +229,16 @@ selinux-policy-2_src_compile() {
do
use ${useflag} && makeuse="${makeuse} -D use_${useflag}"
done
+
for i in ${POLICY_TYPES}; do
# Support USE flags in builds
export M4PARAM="${makeuse}"
- # Parallel builds are broken, so we need to force -j1 here
- emake -j1 NAME=$i -C "${S}"/${i} || die "${i} compile failed"
+ if [[ ${BASEPOL} == 2.20140311* ]]; then
+ # Parallel builds are broken in 2.20140311-r7 and earlier, bug 530178
+ emake -j1 NAME=$i -C "${S}"/${i} || die "${i} compile failed"
+ else
+ emake NAME=$i -C "${S}"/${i} || die "${i} compile failed"
+ fi
done
}